program DoNotPrintCell;
uses
  SysUtils,
  fpspreadsheet, fpstypes, fpsutils, fpsopendocument;
const
  FILE_NAME = 'DoNotPrintCell.ods';
var
  b: TsWorkbook;
  sh: TsWorksheet;
  cell: PCell;
begin
  b := TsWorkbook.Create;
  try
    sh := b.AddWorksheet('Test');
    sh.WriteNumber(0, 0, 12);
    sh.Writenumber(1, 0, 21);
    sh.WriteNumber(2, 0, 33);

    sh.WriteDoNotPrintCell(1, 0, true);  // <-------------

    b.WriteToFile(FILE_NAME, true);
  finally
    b.Free;
  end;

  b := TsWorkbook.Create;
  try
    b.ReadFromFile(FILE_NAME);
    sh := b.GetFirstWorksheet;
    for cell in sh.Cells do
    begin
      WriteLn(GetCellString(cell^.Row, cell^.Col), ': "',
        sh.ReadAsText(cell),
        '". Do not print: ', BoolToStr(sh.ReadDoNotPrintCell(cell), true));
    end;
  finally
    b.Free;
  end;

  ReadLn;
end.

